Package Details: phpstorm-eap 162.1628.23-1

Git Clone URL: https://aur.archlinux.org/phpstorm-eap.git (read-only)
Package Base: phpstorm-eap
Description: Lightning-smart PHP IDE. Early Access Program.
Upstream URL: http://www.jetbrains.com/phpstorm/
Keywords: devel ide php
Licenses: custom
Submitter: mortan
Maintainer: KingCrunch
Last Packager: KingCrunch
Votes: 32
Popularity: 0.998981
First Submitted: 2011-06-03 16:07
Last Updated: 2016-08-17 19:36

Dependencies (2)

Required by (0)

Sources (3)

Pinned Comments

KingCrunch commented on 2016-05-12 15:14

Please stop marking this package as outdated, when the EAP-page links to the current stable. In this case there is no new EAP available, but the latest version is the stable one. Use https://aur.archlinux.org/packages/phpstorm/ then.

olemartinorg commented on 2016-01-06 17:40

Pretty sure the next EAP (>= 144) will require Java 8, FYI! See here: http://blog.jetbrains.com/idea/2015/12/intellij-idea-16-eap-144-2608-is-out/

Latest Comments

Nopsty commented on 2016-06-08 21:17

162.844.9
9d1f0f0bf501ee3cf7f202c2001b7516436f1df83486c77abfb5abb5acd0130c

Nopsty commented on 2016-06-07 16:07

162.646.18
f15f17be1e454e33e0fb046e7cd844a74711376e13f50ac72bda9a24fb21b1df

KingCrunch commented on 2016-05-12 15:14

Please stop marking this package as outdated, when the EAP-page links to the current stable. In this case there is no new EAP available, but the latest version is the stable one. Use https://aur.archlinux.org/packages/phpstorm/ then.

Nopsty commented on 2016-03-03 14:49

EAP 145.184.39
f4d9aadef92818b82ee1071513f9030782a2d6a1d3121d0c8dc0e08dda473ceb

KingYes commented on 2016-01-20 14:30

EAP 144.3168 Updated.

KingYes commented on 2016-01-14 13:39

EAP 144.3010 Updated.

olemartinorg commented on 2016-01-06 17:40

Pretty sure the next EAP (>= 144) will require Java 8, FYI! See here: http://blog.jetbrains.com/idea/2015/12/intellij-idea-16-eap-144-2608-is-out/

KingYes commented on 2015-12-23 13:30

EAP 143.1480 Updated.

KingYes commented on 2015-11-25 15:05

EAP 143.1044 Updated.

KingYes commented on 2015-11-12 14:11

EAP 143.790 Updated.

KingYes commented on 2015-10-25 16:50

EAP 143.434 (Start for v10) Updated.

KingYes commented on 2015-10-15 13:48

EAP 143.279 Updated.

KingYes commented on 2015-10-07 11:09

EAP 143.129 Updated.

KingYes commented on 2015-10-06 06:59

EAP 142.5282 Updated.

KingYes commented on 2015-09-17 11:31

EAP 142.4912 Updated.

KingYes commented on 2015-09-09 12:44

EAP 142.4707 Updated.

KingYes commented on 2015-09-02 12:05

EAP 142.4491 Updated.

KingYes commented on 2015-08-26 13:28

EAP 142.4289 (Start for v9.5) Updated.

KingYes commented on 2015-08-06 15:46

EAP 141.2325 Updated.

KingYes commented on 2015-07-29 12:31

EAP 141.2204 Updated.

KingYes commented on 2015-07-15 13:21

EAP 141.2017 Updated.

KingYes commented on 2015-07-01 15:18

EAP 141.1815 Updated.

KingYes commented on 2015-06-24 14:44

EAP 141.1717 Updated.

KingYes commented on 2015-06-17 11:43

141.1619 Updated.

KingYes commented on 2015-06-03 14:51

EAP 141.1408 Updated.

KingYes commented on 2015-05-27 11:40

EAP 141.1306 Updated.

KingYes commented on 2015-05-21 15:39

EAP 141.1224 Updated.

KingYes commented on 2015-05-06 14:34

EAP 141.1000 Updated.

KingYes commented on 2015-04-29 14:59

EAP 141.891 Uploaded.

KingYes commented on 2015-04-26 13:30

EAP 141.792 Updated.

KingYes commented on 2015-04-16 06:58

EAP 141.690 Updated.

KingYes commented on 2015-04-12 05:09

EAP 141.582 Updated.

KingYes commented on 2015-04-01 14:11

EAP 141.473 Updated.

KingYes commented on 2015-03-26 06:50

EAP 141.332 Updated.

KingYes commented on 2015-03-16 14:06

EAP 141.176 Updated.

KingYes commented on 2015-03-09 14:41

EAP 141.89 Updated.

KingYes commented on 2015-02-28 17:13

EAP 140.2765 Updated.

KingYes commented on 2015-01-31 16:52

EAP 139.1226 Updated.

KingYes commented on 2015-01-14 16:09

EAP 139.1069 Updated.

falmp commented on 2014-12-29 16:46

Which AUR helper are you using? --asroot is no longer a valid option to pacman, so I know at least packer is still using it and should be fixed soon (https://github.com/keenerd/packer/issues/131). Not sure about yaourt or other AUR helpers, but you might wanna try downloading the .tar.gz, extracting it and running makepkg -sic inside the extracted directory (that's what the AUR helper is basically doing anyway).

KingYes commented on 2014-12-29 16:35

What you think we need to do?

rikless commented on 2014-12-29 16:32

It looks like since last pacman update, you can't install Jetbrains software :

makepkg: invalid option '--asroot'
Impossible to read PKGBUILD

KingYes commented on 2014-12-24 14:45

EAP 139.873 Updated.

KingYes commented on 2014-12-03 14:45

EAP 139.659 Updated.

KingYes commented on 2014-11-27 14:12

EAP 139.584 Updated.

Vrtak-CZ commented on 2014-11-15 14:02

139.425 81ea1364f25f335c9eaae91dab9a8c90

Vrtak-CZ commented on 2014-10-16 15:27

139.105 2f03cf9621903f8c27f46f6bc1504a4b

Vrtak-CZ commented on 2014-10-09 14:59

139.14 223879e0f1ee8f09f76b46595945c2cd

KingYes commented on 2014-09-27 17:20

Updated.

Vrtak-CZ commented on 2014-09-26 16:06

138.2502 736f96a014dd3fc1158c1ce6d51bd1dd

KingYes commented on 2014-08-28 14:38

Thanks.

Vrtak-CZ commented on 2014-08-28 14:05

http://blog.jetbrains.com/phpstorm/2014/08/phpstorm-8-public-preview/

DrugCrazed commented on 2014-06-18 17:01

From the main package, someone points out that the latest openjdk breaks font rendering:

Comment by bitdagger:
Can we add a patch to fix the font rendering issue in the latest openjdk?

The following needs to be added to the /usr/share/phpstorm/bin/phpstorm64.vmoptions file:

-Dswing.aatext=true
-Dawt.useSystemAAFontSettings=gasp
-Dsun.java2d.xrender=true

KingYes commented on 2014-04-24 13:59

Thanks :)

Vrtak-CZ commented on 2014-04-24 13:58

gr8 job KingYes

KingYes commented on 2014-04-17 10:26

pkgbuild=136.1672
md5sums=('6caa93d275c8619954b6573b5aa93829')

KingYes commented on 2014-04-09 15:01

pkgbuild=136.1575
md5sums=('7a6c38716d18fed1fe40708d9ea87051')

KingYes commented on 2014-04-03 14:58

pkgbuild=136.1476
md5sums=('71b644f35b5c64c42437a0bfc44b0e44')

KingYes commented on 2014-03-28 14:20

pkgbuild=136.1382
md5sums=('c87ea9468fe518d29614a44f5b736651')

KingYes commented on 2014-03-20 15:23

pkgbuild=136.1255
md5sums=('50bec1856ae6ab84c765b6cb6d43f87d')

KingYes commented on 2014-03-06 15:02

pkgbuild=134.1456
source=(http://download.jetbrains.com/webide/PhpStorm-EAP-$pkgbuild.tar.gz)
#source=(http://download-ln.jetbrains.com/webide/PhpStorm-7.1.3.tar.gz)
md5sums=('de0872152a3a835f955d7b897d21aa4b')

KingYes commented on 2014-03-06 15:01

pkgbuild=134.1456
md5sums=('de0872152a3a835f955d7b897d21aa4b')

KingYes commented on 2014-02-25 13:29

pkgbuild=133.982
#source=(http://download.jetbrains.com/webide/PhpStorm-EAP-$pkgbuild.tar.gz)
source=(http://download-ln.jetbrains.com/webide/PhpStorm-7.1.3.tar.gz)
md5sums=('5c68dce5fa53ce2ff42fa8a590561c40')

Have fun :)

KingYes commented on 2014-02-18 15:29

pkgbuild=133.925
md5sums=('b2f1f2eee897550bc808a2776f2b8f28')

KingYes commented on 2014-02-04 15:17

133.803 (7.1.2):

http://blog.jetbrains.com/phpstorm/2014/02/phpstorm-7-1-2-bug-fix-update-is-available/

dimti commented on 2014-01-23 07:15

Thanks for aur package phpstorm-eap. Im use it permanently.

dimti commented on 2014-01-23 07:11

Please, update phpstorm build to 133.679. Thanks for aur package, im use it permanently.
ps: Maybe in next phpstorm build fixed my problem with "frozen focus on some opened window of phpstorm"

KingYes commented on 2014-01-17 08:39

pkgbuild=133.626
md5sums=('79ffe408e8643a2d721a1f070264a636')

wolq commented on 2014-01-09 21:29

79b31c9b3c919863b74896c02ff721b1 PhpStorm-EAP-133.564.tar.gz

wolq commented on 2013-12-27 18:35

42a52bccbe222c127de0590c6fe94ee7 PhpStorm-EAP-133.437.tar.gz

Happy New Year!

wolq commented on 2013-12-27 18:32

42a52bccbe222c127de0590c6fe94ee7 PhpStorm-EAP-133.437.tar.gz

KingYes commented on 2013-12-04 14:33

pkgbuild=133.214
md5sums=('7c9b829a60d8e1ed26687af6016a048e')

KingYes commented on 2013-11-18 16:45

pkgbuild=133.51
md5sums=('ac2a79aaf02126d543ba758cbde12129')

KingYes commented on 2013-11-07 14:49

pkgbuild=131.487
md5sums=('46d531d9f2fca9d3d69cc262418f9a9a')

wolq commented on 2013-10-31 12:55

8ec12a15f2b953758f4185fd552d846f PhpStorm-EAP-131.441.tar.gz

Vrtak-CZ commented on 2013-10-22 14:06

I'm update only EAP release because I'm maintainer only for EAP AUR package

KingYes commented on 2013-10-22 14:04

Are you update the official releases?

Vrtak-CZ commented on 2013-10-16 17:34

I know it's the same as in https://aur.archlinux.org/packages/ph/phpstorm-eap/PKGBUILD

KingYes commented on 2013-10-16 16:56

$ md5sum PhpStorm-EAP-131.332.tar.gz
8e2854ff0e85b7e1c4ed8d7c4ef6e365 PhpStorm-EAP-131.332.tar.gz

Vrtak-CZ commented on 2013-10-16 16:53

No it's OK

KingYes commented on 2013-10-16 15:55

Hi.. You forget change the md5sum value.

KingYes commented on 2013-10-16 11:21

pkgbuild=131.332
md5sums=('8e2854ff0e85b7e1c4ed8d7c4ef6e365')

falmp commented on 2013-10-02 14:50

pkgbuild=131.235
md5sums=('714f8f1c462816ff5eb3a49151511fab')

Vrtak-CZ commented on 2013-09-15 10:31

a jde to?

edke commented on 2013-09-13 20:02

@Vrtak-CZ nechces ten EAP prebrat ? :-)

Vrtak-CZ commented on 2013-09-13 11:16

131.98 - 220c7cda37b0eb0d4635a20ad2e1f424

Vrtak-CZ commented on 2013-08-01 16:53

http://blog.jetbrains.com/phpstorm/2013/08/phpstorm-7-0-eap-130-1481/ 22c2e6ec535f3f26ecd671676732a7d2

Vrtak-CZ commented on 2013-06-17 15:13

http://blog.jetbrains.com/phpstorm/2013/06/phpstorm-6-0-3-eap-129-757

Vrtak-CZ commented on 2013-04-17 19:54

http://blog.jetbrains.com/phpstorm/2013/04/phpstorm-6-0-1-released/

Anonymous comment on 2013-03-06 11:43

New phpstorm-eap released.

pkgbuild=127.67

This is a public preview, so remember to update the source (it changed from EAP to 6-Preview) in the PKGBUILD as well [ source=(http://download.jetbrains.com/webide/PhpStorm-6-Preview-$pkgbuild.tar.gz) ] and md5sums [ md5sums=('b8df0faa6bbd2500a2aaa57c56338cf0') ].

md5sum:
b8df0faa6bbd2500a2aaa57c56338cf0 PhpStorm-6-Preview-127.67.tar.gz

Vrtak-CZ commented on 2013-03-06 10:06

http://blog.jetbrains.com/webide/2013/03/phpstorm-6-public-preview/

Anonymous comment on 2013-02-18 12:53

New phpstorm-eap released (126.260).
ffcab97cf276d921d9ba399daa1ee24c PhpStorm-EAP-126.260.tar.gz

Also, please fix PKGBUILD with the mentioned fix by masser, it works for me as expected as well (no outdated fsnotifier warning).

masser commented on 2013-02-11 15:35

Stripping the fsnotifier debug symbols causes notices of outdated native FileWatcher.

Could the maintainer please add options=(!strip) to the MAKEPKG?

simontunnat commented on 2013-02-07 08:03

126.162 is available!

Vrtak-CZ commented on 2012-12-19 08:48

http://blog.jetbrains.com/webide/2012/12/phpstorm-6-eap-build-124-295/?utm_source=feedburner&utm_medium=feed&utm_campaign=Feed%3A+jetbrains_webIde+%28JetBrains+Web+IDE+Blog%29

Vrtak-CZ commented on 2012-12-13 09:31

http://blog.jetbrains.com/webide/2012/12/phpstorm-6-eap-build-123-237/

edke commented on 2012-12-05 06:48

Updated to build 123.66.

edke commented on 2012-11-28 11:22

Updated to build 123.26.

Vrtak-CZ commented on 2012-11-27 22:19

123.26 d0f7127830bc864fb8ed218d4e4e578b http://blog.jetbrains.com/webide/2012/11/phpstorm-webstorm-6-eap-build-123-26/

edke commented on 2012-11-22 06:14

Rebuilded, implemented features as requested by @bcremer. I checked out pycharm packages and they are also conflict free. I suppose we can implement same feature as well also. Please report if this will cause any problems in future, we can revert to version with conflict set-up anytime.

edke commented on 2012-11-21 09:48

@bcremer

Do you really think that this is a good solution ? We can of course have two installations, stable and eap at the same time. But using it for single user can be something different. Those two packages share same config for single user if in same branch (eg 5.0). But EAP can store new settings in config files for new features. Running on these settings with stable build can lead to undesired conditions which is at the first place point why you want to run stable build (to not to broke installation).

In current state of development (stable 5.0.4 lives in 5.0 config branch and EAP started in 6.0 and has separate config) this co-existence of eap and stable on same system under single account can work together. But once stable 6.0 will be released and new builds in 6.0 will be released via EAP, then problem can occur.

I'd like to hear from other people currently using these packages, what is their opinion about implementing this.

bcremer commented on 2012-11-20 11:42

I would like to see a conflict free PKGBUILD of phpstorm-eap that can be installed side by side to the regular phpstorm.

This would require minimal changes in your PKGBUILD:
https://gist.github.com/4117442

What do you think about it?

edke commented on 2012-11-20 06:51

Updated to new 6.0 branch, build 122.864.

Vrtak-CZ commented on 2012-11-20 06:37

122.864 ab5b8bbde862deaab3d40fa556833aef http://blog.jetbrains.com/webide/2012/11/phpstorm-webstorm-6-0-early-access-program-started/

edke commented on 2012-11-02 14:56

Updated to build 121.390 (5.0.4 stable).

edke commented on 2012-10-24 07:59

Updated to build 121.351 (5.0.3 stable).

edke commented on 2012-10-13 17:08

Updated to build 121.322.

Vrtak-CZ commented on 2012-10-13 10:58

121.322 cb22ec716a4f38e75ca5c18456594eba http://blog.jetbrains.com/webide/2012/10/phpstorm-webstorm-5-0-2-eap-121-322/

edke commented on 2012-10-03 13:07

Updated to build 121.285 (5.0.2 stable)

edke commented on 2012-09-27 10:48

Updated to build 121.272 (5.0.2 EAP).

edke commented on 2012-09-20 15:03

Updated to build 121.252 (5.0.2 EAP).

edke commented on 2012-09-14 10:43

Updated to build 124.215 (5.0.1 stable).
@Vrtak-CZ thanks for noticing

Vrtak-CZ commented on 2012-09-13 20:36

121.215 f0442ccc371d5263c5e4456f2448535d http://download-ln.jetbrains.com/webide/PhpStorm-5.0.1.tar.gz

edke commented on 2012-08-31 07:01

Updated to build 121.150 (5.0 RC).

Vrtak-CZ commented on 2012-08-30 12:06

http://blog.jetbrains.com/webide/2012/08/phpstorm-webstorm-5-0-rc-121-150/

edke commented on 2012-08-15 08:39

Updated to build 121.62.

edke commented on 2012-08-14 22:06

Updated to build 121.12, sorry guys for delay but I was on holiday.

edke commented on 2012-07-31 07:25

Updated to build 120.271.

Vrtak-CZ commented on 2012-07-30 14:53

http://blog.jetbrains.com/webide/2012/07/phpstorm-webstorm-5-0-early-access-program-started/

edke commented on 2012-07-13 20:55

Updated to build 117.746 (4.0.3).

edke commented on 2012-07-06 07:41

Updated to build 117.694 (4.0.3 RC).

edke commented on 2012-06-29 08:24

Updated to build 117.657.

edke commented on 2012-06-21 14:18

Updated to build 117.609.

Vrtak-CZ commented on 2012-06-21 02:25

http://blog.jetbrains.com/webide/2012/06/phpstorm-webstorm-4-0-3-eap-117-609/

edke commented on 2012-06-12 10:59

@spambanane, added.

Anonymous comment on 2012-06-11 18:24

is it possible to add a link in /usr/bin to the phhpstorm startup file?

edke commented on 2012-05-30 08:25

Updated to build 117.474 (4.0.2).

edke commented on 2012-05-24 12:50

Updated to build 117.468.

edke commented on 2012-05-16 20:44

Updated to build 117.414.

edke commented on 2012-04-23 15:05

Updated to build 117.257 (4.0.1 RC).

edke commented on 2012-04-18 11:08

Updated to build 117.222 (4.0 RC3), thanx to crush.

liviucmg commented on 2012-04-17 21:52

4.0 RC3 is out.

pkgver=117.222
pkgbuild=117.222
md5sums=('2887eca60f02e5f2d922b503bda54a17')

Thanks!

edke commented on 2012-04-16 10:52

Updated to build 117.211 (4.0 RC2).

edke commented on 2012-04-13 12:45

Updated to build 117.190.

edke commented on 2012-04-11 09:33

Fixes, thanks for noticing.

Anonymous comment on 2012-04-10 21:50

Please fix build script
1. ibyjpagent64.so -> libyjpagent-linux64.so
libyjpagent.so -> libyjpagent-linux.so
2. no any libbreakgen64.so and libbreakgen.so in orig package

edke commented on 2012-04-04 14:08

Updated to build 117.132.

edke commented on 2012-03-14 16:41

Updated to build 116.101.

edke commented on 2012-02-07 22:41

As there is no RSS for comments of package or updates (or there is?), follow @edke on twitter to get updates. Updated to 3.0.2 (build 111.296).

edke commented on 2012-02-02 13:47

Wrong, with stable release 3.0.1 this build (111.271) is also considered as latest EAP. Rebuilding right now, sorry for that !

edke commented on 2012-02-02 13:17

There are 2 packages in AUR, the one you submitted is stable release, not Early Adoption Program. phpstorm -> stable, phpstorm-eap -> EAP. Please install phpstorm (will properly replace phpstorm-eap). And now you broke phpstorm-eap with "out-of-date" flag :)

Vrtak-CZ commented on 2012-02-02 13:06

3.0.1 as stable new DL link http://download-ln.jetbrains.com/webide/PhpStorm-3.0.1.tar.gz

edke commented on 2012-01-16 22:39

Same with me, that's why Arch Linux :) Just today I din't check my google reader in time, sorry for that :)

Vrtak-CZ commented on 2012-01-16 22:38

Yep... I'm fanatical early adopter...

edke commented on 2012-01-16 22:00

Marked as out-of-date just 20 minutes after release of new version, that is just "impatient" ? :)

Vrtak-CZ commented on 2012-01-16 19:11

http://blog.jetbrains.com/webide/2012/01/phpstorm-webstorm-3-0-1-rc/

edke commented on 2011-12-27 09:14

Updated to build 111.150, version 3.0.1

edke commented on 2011-11-29 13:33

Updated to 111.19 (3.0 release)

edke commented on 2011-11-23 23:02

Updated to 110.518 (beta)

edke commented on 2011-11-17 23:29

Updated to 110.437

edke commented on 2011-11-14 11:48

Package disowned (thank you mortan), updated to latest 110.359-1 build, changes/fixes from TheLuda's PKGBUILD applied.

Anonymous comment on 2011-11-03 19:34

Updated PKGBUILD for build 110.293, also fixing desktop exec link:

# Contributor: Slava Volkov <sv99sv@gmail.com>

pkgname=phpstorm-eap
_pkgname=PhpStorm # Directory name in the tar file
pkgver=110.293
pkgrel=1
pkgdesc="Lightweight and Smart PHP IDE. 45-day free trial."
arch=('i686' 'x86_64')
url="http://www.jetbrains.com/phpstorm/"
license=('custom')
depends=('java-runtime>=6')
conflicts=('phpstorm')
source=(http://download.jetbrains.com/webide/PhpStorm-EAP-$pkgver.tar.gz)
md5sums=('02970dc6f593a59308547eca5d6866d8')

build() {
cd ${srcdir}
mkdir -p ${pkgdir}/opt/${pkgname} || return 1
cp -R ${srcdir}/${_pkgname}-${pkgver}/* ${pkgdir}/opt/${pkgname} || return 1
if [[ $CARCH = 'i686' ]]; then
rm -f ${pkgdir}/opt/${pkgname}/bin/libyjpagent64.so
rm -f ${pkgdir}/opt/${pkgname}/bin/libbreakgen64.so
fi

(
cat <<EOF
[Desktop Entry]
Version=${pkgver}
Name=PhpStorm
Icon=phpstorm
GenericName=Lightweight and Smart PHP IDE
Comment=Lightweight and Smart PHP IDE 45-day free trial
Exec=/opt/${pkgname}/bin/phpstorm.sh
Terminal=false
Type=Application
Categories=Development
EOF
) > ${startdir}/phpstorm.desktop

mkdir -p ${pkgdir}/usr/share/applications/ || return 1
mkdir -p ${pkgdir}/usr/share/pixmaps/ || return 1
mkdir -p ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
install -m 644 ${startdir}/phpstorm.desktop ${pkgdir}/usr/share/applications/
install -m 644 ${pkgdir}/opt/${pkgname}/bin/webide.png ${pkgdir}/usr/share/pixmaps/phpstorm.png
install -m 644 ${srcdir}/${_pkgname}-${pkgver}/license/${_pkgname}_license.txt ${pkgdir}/usr/share/licenses/${pkgname}/${_pkgname}_license.txt
}